%define url_ver %(echo %{version}|cut -d. -f1,2)

%global __provides_exclude_from %{_libdir}/%{name}/plugin.*\\.so

%define gi_major 1.0
%define girname  %mklibname %{name}-gir %{gi_major}

Summary: Small but powerful text editor for MATE
Name:    pluma
Version: 1.26.1
Release: %mkrel 1
License: GPLv2+
Group:   Editors
URL:     https://mate-desktop.org/
Source0: https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: iso-codes
BuildRequires: itstool
BuildRequires: mate-common >= %{url_ver}
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(iso-codes)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(libsoup-gnome-2.4)
BuildRequires: pkgconfig(enchant-2)
BuildRequires: yelp-tools
BuildRequires: pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gtksourceview-4)
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libpeas-1.0)
BuildRequires: pkgconfig(libpeas-gtk-1.0)
BuildRequires: pkgconfig(pygobject-3.0)
BuildRequires: pkgconfig(python3)
BuildRequires: autoconf-archive

# the run-command plugin uses zenity
Requires: zenity
Requires: caja-schemas
Requires: typelib(Peas)
Requires: typelib(PeasGtk)
Requires: mate-desktop-schemas >= %{url_ver}

Provides: mate-text-editor = %{version}-%{release}

%description
Pluma is a small but powerful text editor designed expressly
for MATE.

It includes such features as split-screen mode, a plugin
API, which allows Pluma to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

%package -n %{girname}
Summary:    GObject Introspection interface description for %{name}
Group:      System/Libraries
Requires:   %{name} = %{version}

%description -n %{girname}
GObject Introspection interface description for %{name}

%package devel
Group:      Development/C
Summary:    Headers for writing Pluma plugins

%description devel
Pluma is a small but powerful text editor designed expressly
for MATE.

It includes such features as split-screen mode, a plugin
API, which allows Pluma to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

Install this if you want to build plugins that use Pluma's API.

%prep
%autosetup -p1

# switch to enchant2
sed -i 's/, enchant/, enchant-2/' configure.ac

%py3_shebang_fix plugins/externaltools/data/switch-c.tool.in

%build
autoreconf -vfi
%configure    \
    --disable-schemas-compile    \
    --enable-gtk-doc-html     \
    --enable-gvfs-metadata

%make_build

%install
%make_install

## clean up all the static libs for plugins
find %{buildroot} -name "*.la" -delete

%find_lang %{name} --with-gnome --all-name

%files  -f %{name}.lang
%doc README* AUTHORS
%license COPYING
%{_bindir}/pluma
%{_libdir}/pluma/
%{_libexecdir}/pluma/
%{_datadir}/applications/pluma.desktop
%{_datadir}/metainfo/pluma.appdata.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.plugins.filebrowser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.plugins.time.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.plugins.spell.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.plugins.pythonconsole.gschema.xml
%{_datadir}/pluma/
%{_mandir}/man1/pluma.1*

%files -n %{girname}
%{_libdir}/girepository-1.0/Pluma-%{gi_major}.typelib

%files devel
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/pluma/
%{_libdir}/pkgconfig/pluma.pc
%{_datadir}/gir-1.0/Pluma-%{gi_major}.gir



%changelog
* Tue May 30 2023 kekepower <kekepower> 1.26.1-1.mga9
+ Revision: 1959807
- Update to version 1.26.1

* Thu Mar 31 2022 umeabot <umeabot> 1.26.0-2.mga9
+ Revision: 1836994
- Mageia 9 Mass Rebuild

* Mon Aug 09 2021 wally <wally> 1.26.0-1.mga9
+ Revision: 1740889
- new version 1.26.0

* Mon Apr 05 2021 kekepower <kekepower> 1.24.2-2.mga9
+ Revision: 1713568
- Update to version 1.24.2

* Mon Feb 01 2021 daviddavid <daviddavid> 1.24.1-2.mga8
+ Revision: 1674359
- build dependency on python2 is not needed, let's change it for python3

* Sat Sep 12 2020 kekepower <kekepower> 1.24.1-1.mga8
+ Revision: 1625369
- Update to version 1.24.1
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1548110
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488838
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 31 2019 kekepower <kekepower> 1.22.2-2.mga8
+ Revision: 1475089
- Fix Python3 shebang
+ mokraemer <mokraemer>
- remove require pyorbit

* Wed Dec 11 2019 kekepower <kekepower> 1.22.2-1.mga8
+ Revision: 1465905
- Updated python files from git
- Update to version 1.22.2
+ tv <tv>
- rebuild for libpeas

* Thu Aug 08 2019 tv <tv> 1.22.1-2.mga8
+ Revision: 1428111
- rebuild for new libpeas

* Fri May 10 2019 kekepower <kekepower> 1.22.1-1.mga7
+ Revision: 1397034
- Update to version 1.22.1

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1375516
- Update to version 1.22.0

* Fri Feb 22 2019 wally <wally> 1.20.4-2.mga7
+ Revision: 1369373
- switch to enchant2

* Wed Dec 26 2018 kekepower <kekepower> 1.20.4-1.mga7
+ Revision: 1345164
- Fix file list
- Update to version 1.20.4

* Sat Dec 01 2018 kekepower <kekepower> 1.20.3-1.mga7
+ Revision: 1337271
- Update to version 1.20.3
- Rolled back to r1329318

* Mon Nov 26 2018 kekepower <kekepower> 1.21.2-1.mga7
+ Revision: 1335536
- Update to version 1.20.1

* Sat Nov 10 2018 mokraemer <mokraemer> 1.20.0-3.mga7
+ Revision: 1329318
- mga#23829

* Sun Sep 23 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1300315
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201524
- Updated to 1.20.0 version

* Sat Dec 30 2017 tarakbumba <tarakbumba> 1.19.3-1.mga7
+ Revision: 1187473
- Updated to 1.19.3 version

* Sun Oct 29 2017 tarakbumba <tarakbumba> 1.19.2-1.mga7
+ Revision: 1174810
- Update to 1.19.2 version

* Mon Sep 18 2017 cjw <cjw> 1.18.2-2.mga7
+ Revision: 1155131
- rebuild for new find_lang

* Wed May 17 2017 tarakbumba <tarakbumba> 1.18.2-1.mga6
+ Revision: 1102419
- Update to 1.18.2 version

* Wed Apr 05 2017 tarakbumba <tarakbumba> 1.18.1-1.mga6
+ Revision: 1095939
- Update to 1.18.1 version

* Wed Mar 15 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092649
- Update to 1.18.0 version
- Update to 1.17.4 version
- Updated to 1.17.3 version

* Wed Dec 14 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1075203
- new version 1.16.0
- build with gtk3
- disable python build as it requires pygtk2.0 and doesn't build with gtk3

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001523
- Update to 1.14.0 version

* Sat Mar 19 2016 luigiwalser <luigiwalser> 1.13.1-2.mga6
+ Revision: 993020
- fix patch

* Fri Feb 26 2016 tarakbumba <tarakbumba> 1.13.1-1.mga6
+ Revision: 979333
- Update to 1.13.1 version

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 950841
- Update to 1.13.0 version

* Sat Dec 05 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908440
- Update to 1.12.1 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898528
-Update to 1.12.0 version

* Mon Oct 26 2015 tarakbumba <tarakbumba> 1.10.2-2.mga6
+ Revision: 895596
- Remove unneeded and deprecated mate-dialogs dependency

* Tue Sep 01 2015 wally <wally> 1.10.2-1.mga6
+ Revision: 872016
- new version 1.10.2

* Mon Jun 22 2015 tarakbumba <tarakbumba> 1.10.1-1.mga6
+ Revision: 839895
- Update to 1.10.1 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-3.mga5
+ Revision: 745318
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 687680
- Mageia 5 Mass Rebuild

* Wed Apr 30 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 619016
- Update to 1.8.1 version

* Sat Mar 08 2014 wally <wally> 1.8.0-2.mga5
+ Revision: 601194
- obsolete mate-text-editor-devel

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600118
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598084
- imported package pluma

